Bug 130475 - allow x11/libxcb and x11/xcb-proto to build with python 2.6
Summary: allow x11/libxcb and x11/xcb-proto to build with python 2.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-01-12 21:40 UTC by Joseph S. Atkinson
Modified: 2009-01-17 22:10 UTC (History)
1 user (show)

See Also:


Attachments
libxcb_xcb-proto.diff (716 bytes, patch)
2009-01-14 16:49 UTC, Ashish Shukla
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph S. Atkinson 2009-01-12 21:40:01 UTC

For people who set PYTHON_DEFAULT_VERSION=python2.6, parts of xcb are forcing the installation and utilization of python2.5. Python 2.6 is backwards compatible with 2.5 and builds fine.

Fix: 

change USE_PYTHON from "2.5" to "2.5+" in Makefile for each port
How-To-Repeat: 

PYTHON_DEFAULT_VERSION=python2.6 then `make install` libxcb and xcb-proto
Comment 1 Edwin Groothuis freebsd_committer 2009-01-12 21:40:36 UTC
Maintainer of x11/libxcb,

Please note that PR ports/130475 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/130475

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-01-12 21:40:38 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Ashish Shukla 2009-01-14 16:49:56 UTC
I'm approving the changes. And attached is the patch which needs to be
committed.

Thanks
-- 
Ashish SHUKLA
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2009-01-15 04:04:53 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 dfilter service freebsd_committer 2009-01-17 22:02:59 UTC
rnoland     2009-01-17 22:02:45 UTC

  FreeBSD ports repository

  Modified files:
    x11/libxcb           Makefile 
    x11/xcb-proto        Makefile 
  Log:
  allow x11/libxcb and x11/xcb-proto to build with python 2.5+
  
  PR:             130475
  Submitted by:   Joseph S. Atkinson
  Approved by:    wahjava@gmail.com (maintainer), garga (mentor, implicit)
  
  Revision  Changes    Path
  1.13      +1 -1      ports/x11/libxcb/Makefile
  1.7       +1 -1      ports/x11/xcb-proto/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Robert Noland freebsd_committer 2009-01-17 22:04:00 UTC
State Changed
From-To: open->closed

Committed. Thanks!